diff --git a/src/toc.md b/src/toc.md
index d7a4a72..d915b42 100644
--- a/src/toc.md
+++ b/src/toc.md
@@ -1,65 +1,65 @@
 ## Table of Contents
 
--   [Abbreviations and Terminology](terminology.md#abbreviations-and-terminology)
--   [SELinux Overview](selinux_overview.md#selinux-overview)
--   [Core Components](core_components.md#core-selinux-components)
--   [Mandatory Access Control (MAC)](mac.md#mandatory-access-control)
--   [SELinux Users](users.md#selinux-users)
--   [Role-Based Access Control (RBAC)](rbac.md#role-based-access-control)
--   [Type Enforcement (TE)](type_enforcement.md#type-enforcement)
--   [Security Context](security_context.md#security-context)
--   [Subjects](subjects.md#subjects)
--   [Objects](objects.md#objects)
--   [Computing Security Contexts](computing_security_contexts.md#computing-security-contexts)
--   [Computing Access Decisions](computing_access_decisions.md#computing-access-decisions)
--   [Domain and Object Transitions](domain_object_transitions.md#domain-and-object-transitions)
--   [Multi-Level and Multi-Category Security](mls_mcs.md#multi-level-and-multi-category-security)
--   [Types of SELinux Policy](types_of_policy.md#types-of-selinux-policy)
--   [Permissive and Enforcing Modes](modes.md#selinux-permissive-and-enforcing-modes)
--   [Auditing Events](auditing.md#auditing-selinux-events)
--   [Polyinstantiation Support](polyinstantiation.md#polyinstantiation-support)
--   [PAM Login Process](pam_login.md#pam-login-process)
--   [Linux Security Module and SELinux](lsm_selinux.md#linux-security-module-and-selinux)
--   [Userspace Libraries](userspace_libraries.md#selinux-userspace-libraries)
--   [Networking Support](network_support.md#selinux-networking-support)
--   [Virtual Machine Support](vm_support.md#selinux-virtual-machine-support)
--   [X-Windows Support](x_windows.md#x-windows-selinux-support)
--   [SE-PostgreSQL Support](postgresql.md#postgresql-selinux-support)
--   [Apache-Plus Support](apache_support.md#apache-selinux-support)
--   [SELinux Configuration Files](configuration_files.md#selinux-configuration-files)
-    -   [Global Configuration Files](global_config_files.md#global-configuration-files)
-    -   [Policy Store Configuration Files](policy_store_config_files.md#policy-store-configuration-files)
-    -   [Policy Configuration Files](policy_config_files.md#policy-configuration-files)
--   [SELinux Policy Languages](policy_languages.md#the-selinux-policy-languages)
-    -   [CIL Policy Language](cil_overview.md#cil-overview)
-        -   [CIL Reference Guide](notebook-examples/selinux-policy/cil/CIL_Reference_Guide.pdf)
-    -   [Kernel Policy Language](kernel_policy_language.md#kernel-policy-language)
-        -   [Policy Configuration Statements](policy_config_statements.md#policy-configuration-statements)
-        -   [Default Rules](default_rules.md#default-object-rules)
-        -   [User Statements](user_statements.md#user-statements)
-        -   [Role Statements](role_statements.md#role-statements)
-        -   [Type Statements](type_statements.md#type-statements)
-        -   [Bounds Rules](bounds_rules.md#bounds-rules)
-        -   [Access Vector Rules](avc_rules.md#access-vector-rules)
-        -   [Extended Access Vector Rules](xperm_rules.md#extended-access-vector-rules)
-        -   [Object Class and Permission Statements](class_permission_statements.md#object-class-and-permission-statements)
-        -   [Conditional Policy Statements](conditional_statements.md#conditional-policy-statements)
-        -   [Constraint Statements](constraint_statements.md#constraint-statements)
-        -   [MLS Statements](mls_statements.md#mls-statements)
-        -   [Security ID (SID) Statement](sid_statement.md#security-id-sid-statement)
-        -   [File System Labeling Statements](file_labeling_statements.md#file-system-labeling-statements)
-        -   [Network Labeling Statements](network_statements.md#network-labeling-statements)
-        -   [InfiniBand Labeling Statements](infiniband_statements.md#infiniband-labeling-statements)
-        -   [XEN Statements](xen_statements.md#xen-statements)
-        -   [Modular Policy Support Statements](modular_policy_statements.md#modular-policy-support-statements)
--   [The Reference Policy](reference_policy.md#the-reference-policy)
--   [Implementing SELinux-aware Applications](implementing_seaware_apps.md#implementing-selinux-aware-applications)
--   [SE for Android](seandroid.md#security-enhancements-for-android)
--   [Appendix A - Object Classes and Permissions](object_classes_permissions.md#appendix-a---object-classes-and-permissions)
--   [Appendix B - *libselinux* API Summary](libselinux_functions.md#appendix-b---libselinux-api-summary)
--   [Appendix C - SELinux Commands](selinux_cmds.md#appendix-c---selinux-commands)
--   [Appendix D - Debugging Policy - Hints and Tips](debug_policy_hints.md#appendix-d---debugging-policy---hints-and-tips)
--   [Appendix E - Policy Validation Example](policy_validation_example.md#appendix-e---policy-validation-example)
+- [Abbreviations and Terminology](terminology.md#abbreviations-and-terminology)
+- [SELinux Overview](selinux_overview.md#selinux-overview)
+- [Core Components](core_components.md#core-selinux-components)
+- [Mandatory Access Control (MAC)](mac.md#mandatory-access-control)
+- [SELinux Users](users.md#selinux-users)
+- [Role-Based Access Control (RBAC)](rbac.md#role-based-access-control)
+- [Type Enforcement (TE)](type_enforcement.md#type-enforcement)
+- [Security Context](security_context.md#security-context)
+- [Subjects](subjects.md#subjects)
+- [Objects](objects.md#objects)
+- [Computing Security Contexts](computing_security_contexts.md#computing-security-contexts)
+- [Computing Access Decisions](computing_access_decisions.md#computing-access-decisions)
+- [Domain and Object Transitions](domain_object_transitions.md#domain-and-object-transitions)
+- [Multi-Level and Multi-Category Security](mls_mcs.md#multi-level-and-multi-category-security)
+- [Types of SELinux Policy](types_of_policy.md#types-of-selinux-policy)
+- [Permissive and Enforcing Modes](modes.md#selinux-permissive-and-enforcing-modes)
+- [Auditing Events](auditing.md#auditing-selinux-events)
+- [Polyinstantiation Support](polyinstantiation.md#polyinstantiation-support)
+- [PAM Login Process](pam_login.md#pam-login-process)
+- [Linux Security Module and SELinux](lsm_selinux.md#linux-security-module-and-selinux)
+- [Userspace Libraries](userspace_libraries.md#selinux-userspace-libraries)
+- [Networking Support](network_support.md#selinux-networking-support)
+- [Virtual Machine Support](vm_support.md#selinux-virtual-machine-support)
+- [X-Windows Support](x_windows.md#x-windows-selinux-support)
+- [SE-PostgreSQL Support](postgresql.md#postgresql-selinux-support)
+- [Apache-Plus Support](apache_support.md#apache-selinux-support)
+- [SELinux Configuration Files](configuration_files.md#selinux-configuration-files)
+  - [Global Configuration Files](global_config_files.md#global-configuration-files)
+  - [Policy Store Configuration Files](policy_store_config_files.md#policy-store-configuration-files)
+  - [Policy Configuration Files](policy_config_files.md#policy-configuration-files)
+- [SELinux Policy Languages](policy_languages.md#the-selinux-policy-languages)
+  - [CIL Policy Language](cil_overview.md#cil-overview)
+    - [CIL Reference Guide](notebook-examples/selinux-policy/cil/CIL_Reference_Guide.pdf)
+  - [Kernel Policy Language](kernel_policy_language.md#kernel-policy-language)
+    - [Policy Configuration Statements](policy_config_statements.md#policy-configuration-statements)
+    - [Default Rules](default_rules.md#default-object-rules)
+    - [User Statements](user_statements.md#user-statements)
+    - [Role Statements](role_statements.md#role-statements)
+    - [Type Statements](type_statements.md#type-statements)
+    - [Bounds Rules](bounds_rules.md#bounds-rules)
+    - [Access Vector Rules](avc_rules.md#access-vector-rules)
+    - [Extended Access Vector Rules](xperm_rules.md#extended-access-vector-rules)
+    - [Object Class and Permission Statements](class_permission_statements.md#object-class-and-permission-statements)
+    - [Conditional Policy Statements](conditional_statements.md#conditional-policy-statements)
+    - [Constraint Statements](constraint_statements.md#constraint-statements)
+    - [MLS Statements](mls_statements.md#mls-statements)
+    - [Security ID (SID) Statement](sid_statement.md#security-id-sid-statement)
+    - [File System Labeling Statements](file_labeling_statements.md#file-system-labeling-statements)
+    - [Network Labeling Statements](network_statements.md#network-labeling-statements)
+    - [InfiniBand Labeling Statements](infiniband_statements.md#infiniband-labeling-statements)
+    - [XEN Statements](xen_statements.md#xen-statements)
+    - [Modular Policy Support Statements](modular_policy_statements.md#modular-policy-support-statements)
+- [The Reference Policy](reference_policy.md#the-reference-policy)
+- [Implementing SELinux-aware Applications](implementing_seaware_apps.md#implementing-selinux-aware-applications)
+- [SE for Android](seandroid.md#security-enhancements-for-android)
+- [Appendix A - Object Classes and Permissions](object_classes_permissions.md#appendix-a---object-classes-and-permissions)
+- [Appendix B - *libselinux* API Summary](libselinux_functions.md#appendix-b---libselinux-api-summary)
+- [Appendix C - SELinux Commands](selinux_cmds.md#appendix-c---selinux-commands)
+- [Appendix D - Debugging Policy - Hints and Tips](debug_policy_hints.md#appendix-d---debugging-policy---hints-and-tips)
+- [Appendix E - Policy Validation Example](policy_validation_example.md#appendix-e---policy-validation-example)
 
 <!-- %CUTHERE% -->
 